package cn.ezhizao.project.business.service;


import cn.ezhizao.project.business.domain.BizProcessInspecion;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 序检主Service接口
 *
 * @author ezhizao
 * @date 2024-04-24
 */
public interface IBizProcessInspecionService extends IService<BizProcessInspecion>
{
    /**
     * 查询序检主列表
     *
     * @param bizProcessInspecion 序检主
     * @return 序检主集合
     */
    public List<BizProcessInspecion> getList(BizProcessInspecion bizProcessInspecion);
    public List<BizProcessInspecion> getInfo(BizProcessInspecion bizProcessInspecion);
    public List<BizProcessInspecion> getProcessInspectionById(Long id);
    /**
     * 物理删除
     * @param bizProcessInspecion
     * @return 删除结果
     */
    public int physicalDelete(BizProcessInspecion bizProcessInspecion);
    public List<BizProcessInspecion> getAllList();

    List<BizProcessInspecion> getVerifyList(BizProcessInspecion bizProcessInspecion);
}
